### Enumeration

# Gdk ToplevelState

#### Declaration

    flags Gdk.ToplevelState

#### Description [src]

Specifies the state of a toplevel surface.

On platforms that support information about individual edges, the `GDK_TOPLEVEL_STATE_TILED` state will be set whenever any of the individual tiled states is set. On platforms that lack that support, the tiled state will give an indication of tiledness without any of the per-edge states being set.

#### Members

`GDK_TOPLEVEL_STATE_MINIMIZED`

  The surface is minimized.

  - Value: `1`
  - Nickname: `minimized`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_MAXIMIZED`

  The surface is maximized.

  - Value: `2`
  - Nickname: `maximized`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_STICKY`

  The surface is sticky.

  - Value: `4`
  - Nickname: `sticky`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_FULLSCREEN`

  The surface is maximized without decorations.

  - Value: `8`
  - Nickname: `fullscreen`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_ABOVE`

  The surface is kept above other surfaces.

  - Value: `16`
  - Nickname: `above`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_BELOW`

  The surface is kept below other surfaces.

  - Value: `32`
  - Nickname: `below`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_FOCUSED`

  The surface is presented as focused (with active decorations)

  - Value: `64`
  - Nickname: `focused`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_TILED`

  The surface is in a tiled state.

  - Value: `128`
  - Nickname: `tiled`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_TOP_TILED`

  Whether the top edge is tiled.

  - Value: `256`
  - Nickname: `top-tiled`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_TOP_RESIZABLE`

  Whether the top edge is resizable.

  - Value: `512`
  - Nickname: `top-resizable`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_RIGHT_TILED`

  Whether the right edge is tiled.

  - Value: `1024`
  - Nickname: `right-tiled`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_RIGHT_RESIZABLE`

  Whether the right edge is resizable.

  - Value: `2048`
  - Nickname: `right-resizable`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_BOTTOM_TILED`

  Whether the bottom edge is tiled.

  - Value: `4096`
  - Nickname: `bottom-tiled`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_BOTTOM_RESIZABLE`

  Whether the bottom edge is resizable.

  - Value: `8192`
  - Nickname: `bottom-resizable`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_LEFT_TILED`

  Whether the left edge is tiled.

  - Value: `16384`
  - Nickname: `left-tiled`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_LEFT_RESIZABLE`

  Whether the left edge is resizable.

  - Value: `32768`
  - Nickname: `left-resizable`
  - Available since: 4.0
`GDK_TOPLEVEL_STATE_SUSPENDED`

  The surface is not visible to the user.

  - Value: `65536`
  - Nickname: `suspended`
  - Available since: 4.0